View Issue Details

IDProjectCategoryView StatusLast Update
0003544SOGoWeb Address Bookpublic2016-03-01 12:04
ReporterMarcelIT Assigned Tofrancis  
PriorityhighSeveritymajorReproducibilityalways
Status resolvedResolutionfixed 
Platform[Server] LinuxOSDebianOS Version8 (Jessie)
Product Version3.0.1 
Fixed in Version3.0.2 
Summary0003544: addressbook by sql-source doesn't work - autocompletion, common name (cn), freebuys
Description

3.0.1

  • addressbook by sql doesn't work
    • addressbock search works with enter, no autocompletion
    • but, in normal view shows cn - by click on it, shows only mailaddress
    • no autocompletion by calender attendees and mail recipient
    • doesn't view freebuys times at first

nightly-deb (2016-02-24)

  • addressbook by sql doesn't work
    • no search works - not in personal, collected or global
    • no autocompletion by calender attendees and mail recipient
    • doesn't view freebuys times at first

SOGoUserSources = (
{
type = sql;
id = public;
viewURL = "mysql://user:password@127.0.0.1:3306/vmail/vmail_users";
canAuthenticate = YES;
userPasswordAlgorithm = ssha;
prependPasswordScheme = YES;
isAddressBook = YES;
displayName = "Globales Adressbuch";
SOGoEnableDomainBasedUID = No;
DomainFieldName = "domain";
}
);

TagsNo tags attached.

Activities

MarcelIT

MarcelIT

2016-02-24 11:49

reporter  

mysql.jpg (385,918 bytes)
MarcelIT

MarcelIT

2016-02-24 11:53

reporter   ~0009596

Last edited: 2016-02-24 11:54

complement:

  • c_uid corresponds to c_name (doe)
  • c_cn (Doe, John)
  • mail (j.doe@domain.com)
  • domain (domain.com)

AND

freebuys = freebusy

Related Changesets

sogo: master 3529d52c

2016-02-29 11:55:57

francis

Details Diff
Fix extraction of mail column from SQL source

Fixes 0003544
Affected Issues
0003544
mod - NEWS Diff File
mod - SoObjects/Contacts/SOGoContactSourceFolder.m Diff File

Issue History

Date Modified Username Field Change
2016-02-24 11:49 MarcelIT New Issue
2016-02-24 11:49 MarcelIT File Added: mysql.jpg
2016-02-24 11:53 MarcelIT Note Added: 0009596
2016-02-24 11:54 MarcelIT Note Edited: 0009596
2016-02-29 11:56 francis Changeset attached => sogo master 3529d52c
2016-02-29 11:56 francis Assigned To => francis
2016-02-29 11:56 francis Resolution open => fixed
2016-03-01 12:04 francis Status new => resolved
2016-03-01 12:04 francis Fixed in Version => 3.0.2